Fetch a Counterparty
curl --request GET \
--url https://api.treasuryprime.com/counterparty/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/counterparty/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/counterparty/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ach": {
"account_number": "64141601",
"account_type": "checking",
"routing_number": "021001208"
},
"created_at": "2017-11-02T11:55:14Z",
"id": "cp_1029384756",
"name_on_account": "George Washington",
"plaid_processor_token": null,
"updated_at": "2017-11-02T11:55:14Z",
"userdata": null,
"wire": null
}Counterparty
Fetch a Counterparty
GET
/
counterparty
/
{id}
Fetch a Counterparty
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
200 - application/json
The counterparty
Account information for use with ACH transfers
Show child attributes
Show child attributes
Unique identifier for object
Name of the account owner. Filterable.
Plaid processor token, exchanged for an account number and routing number
Arbitrary data the user can attach to the object
Account information for use with wire transfers
Show child attributes
Show child attributes
Was this page helpful?
⌘I